GDB (xrefs)

Macros | Functions
/tmp/gdb-8.1/gdb/sh-nbsd-nat.c File Reference
`#include "defs.h"`
`#include "inferior.h"`
`#include <sys/types.h>`
`#include <sys/ptrace.h>`
`#include <machine/reg.h>`
`#include "sh-tdep.h"`
`#include "inf-ptrace.h"`
`#include "regcache.h"`

Go to the source code of this file.

## Macros
#define | GETREGS_SUPPLIES(gdbarch, regno)
#define | SHNBSD_SIZEOF_GREGS (21 * 4)

## Functions
static void | shnbsd_fetch_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
static void | shnbsd_store_inferior_registers (struct target_ops *ops, struct regcache *regcache, int regno)
void | _initialize_shnbsd_nat (void)

## Macro Definition Documentation

## ◆ GETREGS_SUPPLIES

#define GETREGS_SUPPLIES | ( |  | gdbarch,
|  |  | regno
| ) |  |

Value:
(((regno) >= R0_REGNUM && (regno) <= (R0_REGNUM + 15)) \
|| (regno) == gdbarch_pc_regnum (gdbarch) || (regno) == PR_REGNUM \
|| (regno) == MACH_REGNUM || (regno) == MACL_REGNUM \
|| (regno) == SR_REGNUM)
gdbarch
Definition: gdbarch.c:127
SR_REGNUM
Definition: sh-tdep.h:38
PR_REGNUM
Definition: sh-tdep.h:33
MACH_REGNUM
Definition: sh-tdep.h:36
R0_REGNUM
Definition: m32r-tdep.h:32
MACL_REGNUM
Definition: sh-tdep.h:37
gdbarch_pc_regnum
int gdbarch_pc_regnum(struct gdbarch *gdbarch)
Definition: gdbarch.c:2163

Definition at line 35 of file sh-nbsd-nat.c.

Referenced by shnbsd_fetch_inferior_registers(), and shnbsd_store_inferior_registers().

## ◆ SHNBSD_SIZEOF_GREGS

#define SHNBSD_SIZEOF_GREGS (21 * 4)

Definition at line 42 of file sh-nbsd-nat.c.

Referenced by shnbsd_fetch_inferior_registers(), and shnbsd_store_inferior_registers().

## Function Documentation

## ◆ _initialize_shnbsd_nat()

void _initialize_shnbsd_nat | ( | void |  | ) |

Definition at line 95 of file sh-nbsd-nat.c.

References add_target(), inf_ptrace_target(), shnbsd_fetch_inferior_registers(), shnbsd_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ shnbsd_fetch_inferior_registers()

static void shnbsd_fetch_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 45 of file sh-nbsd-nat.c.

References _, regcache::arch(), GETREGS_SUPPLIES, perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), sh_corefile_gregset, sh_corefile_supply_regset(), and SHNBSD_SIZEOF_GREGS.

Referenced by _initialize_shnbsd_nat().

## ◆ shnbsd_store_inferior_registers()

static void shnbsd_store_inferior_registers | ( | struct target_ops * | ops,
|  | struct regcache * | regcache,
|  | int | regno
| ) |  |
| static

Definition at line 68 of file sh-nbsd-nat.c.

References _, regcache::arch(), GETREGS_SUPPLIES, perror_with_name(), pid, ptid_get_pid(), ptrace(), PTRACE_TYPE_ARG3, regcache_get_ptid(), sh_corefile_collect_regset(), sh_corefile_gregset, and SHNBSD_SIZEOF_GREGS.

Referenced by _initialize_shnbsd_nat().